#include "nodes/base/base.hpp"
#include "nodes/analyze/analyzeNode.hpp"

#include "nodes/analyze/function/cross.hpp"

namespace GNode
{


void AnalyzeNode::handle_data(std::shared_ptr<meta::MetaData>& meta_data)
{
    int width = meta_data->image.cols;
    int height = meta_data->image.rows;
    auto res = person_cross_line(meta_data->track_boxes, cv::Point(0, 0), cv::Point(width, height));
    meta_data->result = res;
}


}   // namespace Node